Package org.codehaus.groovy.tools.groovydoc

# Class GroovyDocWriter

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyDocWriter

public class GroovyDocWriter extends Object
Write GroovyDoc resources to destination.

## Constructor Summary

Constructors
Constructor
Description
`GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeClasses(GroovyRootDoc rootDoc, String destdir)`
`void`
`writeClassToOutput(GroovyClassDoc classDoc, String destdir)`
`void`
`writePackages(GroovyRootDoc rootDoc, String destdir)`
`void`
`writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)`
`void`
`writeRoot(GroovyRootDoc rootDoc, String destdir)`
`void`
`writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroovyDocWriter

public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine, Properties properties)

## Method Details

### writeClasses

public void writeClasses(GroovyRootDoc rootDoc, String destdir) throws Exception

Throws:
  `Exception`

### writeClassToOutput

public void writeClassToOutput(GroovyClassDoc classDoc, String destdir) throws Exception

Throws:
  `Exception`

### writePackages

public void writePackages(GroovyRootDoc rootDoc, String destdir) throws Exception

Throws:
  `Exception`

### writePackageToOutput

public void writePackageToOutput(GroovyPackageDoc packageDoc, String destdir) throws Exception

Throws:
  `Exception`

### writeRoot

public void writeRoot(GroovyRootDoc rootDoc, String destdir) throws Exception

Throws:
  `Exception`

### writeRootDocToOutput

public void writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir) throws Exception

Throws:
  `Exception`